## stevedore 1.29.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/stevedore.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/stevedore.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/stevedore"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/stevedore"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD

=== debian/changelog ===
stevedore (1.29.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * Uploading to unstable:
    - Fixes FTBFS (Closes: #906410).

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Aug 2018 09:19:29 +0200

stevedore (1.29.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 13:52:03 +0200

stevedore (1.28.0-2) unstable; urgency=medium

  * Relicense packaging under Apache-2.0 after approval from Ondrej and Julien.
    Modified debian/copyright accordingly.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Mar 2018 13:33:49 +0200

stevedore (1.28.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_test.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Mar 2018 21:25:58 +0100

stevedore (1.25.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 21:24:22 +0000

stevedore (1.25.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * Fix copyright year in documentation to make build reproducible
  * d/rules: Removed UPSTREAM_GIT with default value

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless reproducible patch.
  * Using pkgos-dh_auto_install.
  * Also build-depends on python3-sphinx, needed by tests.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Aug 2017 15:31:25 +0000

=== debian/control ===
Source: stevedore
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Julien Danjou <acid@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-openstackdocstheme (>= 1.17.0),
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-coverage,
 python-mock,
 python-six,
 python-stestr,
 python3-mock,
 python3-six,
 python3-stestr,
 subunit,
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/openstack-team/libs/stevedore.git
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/stevedore
Homepage: https://github.com/openstack/stevedore

Package: python-stevedore
Architecture: all
Depends:
 python-pbr (>= 2.0.0),
 python-pkg-resources,
 python-six,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: manage dynamic plugins for Python applications - python2
 Python makes loading code dynamically easy, allowing you to configure and
 extend your application by discovering and loading extensions (plugins) at
 runtime. Many applications implement their own library for doing this, using
 __import__ or importlib. stevedore avoids creating yet another extension
 mechanism by building on top of setuptools entry points. The code for managing
 entry points tends to be repetitive, though, so stevedore provides manager
 classes for implementing common patterns for using dynamically loaded
 extensions.
 .
 This package provides the Python 2.x module.

Package: python-stevedore-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: manage dynamic plugins for Python applications - doc
 Python makes loading code dynamically easy, allowing you to configure and
 extend your application by discovering and loading extensions (plugins) at
 runtime. Many applications implement their own library for doing this, using
 __import__ or importlib. stevedore avoids creating yet another extension
 mechanism by building on top of setuptools entry points. The code for managing
 entry points tends to be repetitive, though, so stevedore provides manager
 classes for implementing common patterns for using dynamically loaded
 extensions.
 .
 This package contains the documentation.

Package: python3-stevedore
Architecture: all
Depends:
 python3-pbr (>= 2.0.0),
 python3-pkg-resources,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: manage dynamic plugins for Python applications - python3
 Python makes loading code dynamically easy, allowing you to configure and
 extend your application by discovering and loading extensions (plugins) at
 runtime. Many applications implement their own library for doing this, using
 __import__ or importlib. stevedore avoids creating yet another extension
 mechanism by building on top of setuptools entry points. The code for managing
 entry points tends to be repetitive, though, so stevedore provides manager
 classes for implementing common patterns for using dynamically loaded
 extensions.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f


include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

%:
	dh $@ --with=python2,python3,sphinxdoc

override_dh_auto_build:
	set -e ; for pyvers in $(PYTHON2); do \
		python$$pyvers setup.py build; \
	done
	set -e ; for pyvers in $(PYTHON3); do \
		python$$pyvers setup.py build; \
	done

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-stevedore-doc/usr/share/doc/python-stevedore-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/stevedore/stevedore-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## stevedore 1.30.1

=== debian/changelog ===
stevedore (1:1.30.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Mar 2019 14:31:56 +0000

stevedore (1:1.29.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Aug 2018 13:43:33 -0400

stevedore (1:1.28.0-2ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Set standards version to 4.1.2.
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from tarballs.openstack.org.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 May 2018 13:54:11 -0400

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,37 @@
 Source: stevedore
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Julien Danjou <acid@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 9),
  dh-python,
  openstack-pkg-tools,
  python-all,
- python-openstackdocstheme (>= 1.17.0),
+ python-openstackdocstheme (>= 1.18.1),
  python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx (>= 1.6.2),
+ python-sphinx (>= 1.6.5),
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.6.5),
 Build-Depends-Indep:
- python-coverage,
- python-mock,
- python-six,
+ python-coverage (>= 4.0),
+ python-mock (>= 2.0.0),
+ python-six (>= 1.10.0),
  python-stestr,
- python3-mock,
- python3-six,
+ python3-mock (>= 2.0.0),
+ python3-six (>= 1.10.0),
  python3-stestr,
  subunit,
-Standards-Version: 4.2.0
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/stevedore.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/stevedore
+ testrepository,
+Standards-Version: 4.1.2
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/stevedore
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/stevedore
 Homepage: https://github.com/openstack/stevedore
 
 Package: python-stevedore
@@ -37,7 +39,7 @@
 Depends:
  python-pbr (>= 2.0.0),
  python-pkg-resources,
- python-six,
+ python-six (>= 1.10.0),
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends},
@@ -76,7 +78,7 @@
 Depends:
  python3-pbr (>= 2.0.0),
  python3-pkg-resources,
- python3-six,
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,6 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-stevedore-doc/usr/share/doc/python-stevedore-doc/html
+	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source $(CURDIR)/debian/python-stevedore-doc/usr/share/doc/python-stevedore-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## stevedore 1.31.0

=== debian/changelog ===
stevedore (1.31.0-3) unstable; urgency=medium

  * Do not use py2 in autopkgtest (Closes: #938569).

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Jan 2020 20:57:25 +0100

stevedore (1.31.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:45:04 +0200

stevedore (1.31.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2019 21:07:54 +0200

stevedore (1.30.1-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Remove Julien Danjou from uploaders (Closes: #928562).
  * Uploading to unstable.

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 May 2019 09:14:22 +0200

stevedore (1.30.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Mar 2019 23:05:30 +0100

=== debian/control ===
Source: stevedore
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-openstackdocstheme (>= 1.17.0),
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-coverage,
 python3-mock,
 python3-six,
 python3-stestr,
 subunit,
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/openstack-team/libs/stevedore.git
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/stevedore
Homepage: https://github.com/openstack/stevedore

Package: python-stevedore-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: manage dynamic plugins for Python applications - doc
 Python makes loading code dynamically easy, allowing you to configure and
 extend your application by discovering and loading extensions (plugins) at
 runtime. Many applications implement their own library for doing this, using
 __import__ or importlib. stevedore avoids creating yet another extension
 mechanism by building on top of setuptools entry points. The code for managing
 entry points tends to be repetitive, though, so stevedore provides manager
 classes for implementing common patterns for using dynamically loaded
 extensions.
 .
 This package contains the documentation.

Package: python3-stevedore
Architecture: all
Depends:
 python3-pbr,
 python3-pkg-resources,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: manage dynamic plugins for Python applications - python3
 Python makes loading code dynamically easy, allowing you to configure and
 extend your application by discovering and loading extensions (plugins) at
 runtime. Many applications implement their own library for doing this, using
 __import__ or importlib. stevedore avoids creating yet another extension
 mechanism by building on top of setuptools entry points. The code for managing
 entry points tends to be repetitive, though, so stevedore provides manager
 classes for implementing common patterns for using dynamically loaded
 extensions.
 .
 This package provides the Python 3.x module.

## stevedore 1.32.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -3,4 +3,5 @@
 # process, which may cause wedges in the gate later.
 openstackdocstheme>=1.18.1 # Apache-2.0
 reno>=2.5.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
+sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD

=== debian/changelog ===
stevedore (1:1.32.0-0ubuntu2) focal; urgency=medium

  * d/tests/control: Drop py2 import test.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Mar 2020 10:41:02 -0400

stevedore (1:1.32.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:37:16 -0400

stevedore (1:1.31.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * Drop support for Python 2.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:37:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,29 @@
 Source: stevedore
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Julien Danjou <acid@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper (>= 9),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-openstackdocstheme (>= 1.17.0),
+ python3-openstackdocstheme (>= 1.18.1),
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.6.5),
 Build-Depends-Indep:
- python3-coverage,
- python3-mock,
- python3-six,
+ python3-mock (>= 2.0.0),
+ python3-six (>= 1.10.0),
  python3-stestr,
- subunit,
-Standards-Version: 4.4.1
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/stevedore.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/stevedore
+ python3-subunit,
+ python3-testrepository,
+Standards-Version: 4.1.2
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/stevedore
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/stevedore
 Homepage: https://github.com/openstack/stevedore
 
 Package: python-stevedore-doc
@@ -45,9 +47,9 @@
 Package: python3-stevedore
 Architecture: all
 Depends:
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-pkg-resources,
- python3-six,
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -5,22 +5,18 @@
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
-PYTHON2=$(shell pyversions -vr)
 PYTHON3=$(shell py3versions -vr)
 
 %:
-	dh $@ --with=python2,python3,sphinxdoc
+	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
-	set -e ; for pyvers in $(PYTHON2); do \
-		python$$pyvers setup.py build; \
-	done
 	set -e ; for pyvers in $(PYTHON3); do \
 		python$$pyvers setup.py build; \
 	done
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
@@ -28,7 +24,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test
+	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test --no-py2
 endif
 
 override_dh_sphinxdoc:

## stevedore 3.2.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
importlib_metadata>=1.7.0;python_version<'3.8' # Apache-2.0

=== debian/changelog ===
stevedore (3.2.2-3) unstable; urgency=medium

  * d/tests/control: Restrictions: superficial (Closes: #970973).

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Nov 2020 12:46:14 +0100

stevedore (3.2.2-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed d/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 13:47:03 +0200

stevedore (3.2.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 11:06:17 +0200

stevedore (3.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 15:56:37 +0200

stevedore (1.32.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 21:29:04 +0200

stevedore (1.32.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 17:40:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,26 @@
 Source: stevedore
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Julien Danjou <acid@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.17.0),
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.5),
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- python3-mock (>= 2.0.0),
- python3-six (>= 1.10.0),
- python3-stestr,
- python3-subunit,
- python3-testrepository,
-Standards-Version: 4.1.2
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/stevedore
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/stevedore
+ python3-coverage,
+ python3-importlib-metadata,
+ python3-stestr <!nocheck>,
+ subunit,
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/stevedore.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/stevedore
 Homepage: https://github.com/openstack/stevedore
 
 Package: python-stevedore-doc
@@ -47,9 +44,9 @@
 Package: python3-stevedore
 Architecture: all
 Depends:
- python3-pbr (>= 2.0.0),
+ python3-importlib-metadata,
+ python3-pbr,
  python3-pkg-resources,
- python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-stevedore-doc/usr/share/doc/python-stevedore-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## stevedore 3.3.0

=== debian/changelog ===
stevedore (1:3.3.0-0ubuntu2) hirsute; urgency=medium

  * d/control: Remove unnecessary build-depend (pre-commit).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 04 Dec 2020 13:32:22 +0000

stevedore (1:3.3.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 15:32:00 +0000

stevedore (1:3.2.2-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:39:12 -0400

stevedore (1:3.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 09:04:23 +0000

stevedore (1:3.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 27 Jul 2020 06:21:09 +0000

stevedore (1:2.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and remaining
    targets to pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 10:41:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,30 @@
 Source: stevedore
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Julien Danjou <acid@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-openstackdocstheme (>= 1.17.0),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-coverage,
- python3-importlib-metadata,
- python3-stestr <!nocheck>,
- subunit,
-Standards-Version: 4.4.1
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/stevedore.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/stevedore
+ python3-importlib-metadata (>= 1.6.0),
+ python3-mock (>= 2.0.0),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 2.0.0),
+ python3-subunit,
+ python3-testrepository,
+Standards-Version: 4.5.0
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/stevedore
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/stevedore
 Homepage: https://github.com/openstack/stevedore
 
 Package: python-stevedore-doc
@@ -44,9 +48,10 @@
 Package: python3-stevedore
 Architecture: all
 Depends:
- python3-importlib-metadata,
- python3-pbr,
+ python3-importlib-metadata (>= 1.6.0),
+ python3-pbr (>= 2.0.0),
  python3-pkg-resources,
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

## stevedore 3.3.3

=== debian/changelog ===
stevedore (3.3.3-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 09:10:16 +0000

stevedore (3.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 10:27:26 +0200

stevedore (3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 13:45:22 +0100

## stevedore 3.4.0

=== debian/changelog ===
stevedore (1:3.4.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 21:29:38 +0000

stevedore (1:3.4.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 16:03:46 -0400

## stevedore 3.4.2

=== debian/changelog ===
stevedore (3.4.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Jul 2025 08:22:19 +0000

stevedore (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 15:45:29 +0200

stevedore (3.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 16:07:25 +0200

## stevedore 3.5.0

=== debian/changelog ===
stevedore (1:3.5.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 16:04:24 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>,
  Julien Danjou <acid@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/stevedore/ stevedore-(\d.*)\.tar\.gz

## stevedore 3.5.2

=== debian/changelog ===
stevedore (3.5.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 11:12:22 +0000

stevedore (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist test_extras.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 14:33:33 +0100

stevedore (3.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 19 Feb 2022 11:06:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,26 @@
 Source: stevedore
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Julien Danjou <acid@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-openstackdocstheme (>= 2.2.1),
- python3-pbr (>= 2.0.0),
+ python3-openstackdocstheme,
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 2.0.0),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-importlib-metadata (>= 1.6.0),
- python3-mock (>= 2.0.0),
- python3-six (>= 1.10.0),
- python3-stestr (>= 2.0.0),
- python3-subunit,
- python3-testrepository,
-Standards-Version: 4.5.0
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/stevedore
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/stevedore
+ python3-coverage,
+ python3-importlib-metadata,
+ python3-stestr <!nocheck>,
+ subunit,
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/stevedore.git
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/stevedore
 Homepage: https://github.com/openstack/stevedore
 
 Package: python-stevedore-doc
@@ -48,10 +44,9 @@
 Package: python3-stevedore
 Architecture: all
 Depends:
- python3-importlib-metadata (>= 1.6.0),
- python3-pbr (>= 2.0.0),
+ python3-importlib-metadata,
+ python3-pbr,
  python3-pkg-resources,
- python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

## stevedore 4.0.0

=== debian/changelog ===
stevedore (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:11:14 +0200

stevedore (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 15:17:57 +0200

## stevedore 4.0.1

=== debian/changelog ===
stevedore (4.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Oct 2022 14:35:50 +0200

## stevedore 4.0.2

=== debian/changelog ===
stevedore (4.0.2-2) unstable; urgency=medium

  * Removed (build-)depends on python3-importlib-metadata.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Nov 2022 09:12:26 +0100

stevedore (4.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Oct 2022 15:44:29 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,
- python3-importlib-metadata,
  python3-stestr <!nocheck>,
  subunit,
 Standards-Version: 4.5.1
@@ -44,7 +43,6 @@
 Package: python3-stevedore
 Architecture: all
 Depends:
- python3-importlib-metadata,
  python3-pbr,
  python3-pkg-resources,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test --no-py2
+	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test --no-py2 'stevedore\.tests\.(?!test_extension\.TestExtensionProperties\.test_extras)'
 endif
 
 override_dh_sphinxdoc:

=== debian/tests/control ===
Restrictions: superficial
Depends:
 python3-stevedore,
Test-Command: python3 -c "import stevedore"

## stevedore 5.0.0

=== debian/changelog ===
stevedore (5.0.0-3~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Mon, 21 Aug 2023 09:35:45 +0000

stevedore (5.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047260).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 11:24:30 +0200

stevedore (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:17:46 +0200

stevedore (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Feb 2023 14:35:20 +0100

## stevedore 5.1.0

=== debian/changelog ===
stevedore (1:5.1.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 12 Sep 2023 23:30:10 +0000

stevedore (1:5.1.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Sep 2023 17:27:25 -0400

stevedore (1:5.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:36:08 -0500

stevedore (1:4.1.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/p/fix-compat-with-py310.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 15:32:08 -0500

stevedore (1:4.0.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.
  * d/p/fix-compat-with-py310.patch: Cherry-picked from upstream
    review to fix Python 3.10 test failure.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:46:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,30 @@
 Source: stevedore
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Julien Danjou <acid@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-openstackdocstheme,
- python3-pbr,
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- python3-coverage,
- python3-stestr <!nocheck>,
- subunit,
-Standards-Version: 4.5.1
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/stevedore.git
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/stevedore
-Homepage: https://github.com/openstack/stevedore
+ python3-importlib-metadata (>= 1.6.0),
+ python3-mock (>= 2.0.0),
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 2.0.0),
+ python3-subunit,
+ python3-testrepository,
+Standards-Version: 4.6.1
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/stevedore
+Homepage: https://opendev.org/openstack/stevedore
 
 Package: python-stevedore-doc
 Section: doc
@@ -43,8 +47,10 @@
 Package: python3-stevedore
 Architecture: all
 Depends:
- python3-pbr,
+ python3-importlib-metadata (>= 1.6.0),
+ python3-pbr (>= 2.0.0),
  python3-pkg-resources,
+ python3-six (>= 1.10.0),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

## stevedore 5.2.0

=== debian/changelog ===
stevedore (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 14:32:24 +0200

stevedore (5.2.0-1) experimental; urgency=medium

  * New upstream releaes.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 18:43:47 +0100

stevedore (5.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Sep 2023 09:59:54 +0200

stevedore (5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 11:39:07 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 	dh $@ --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## stevedore 5.3.0

=== requirements.txt ===
pbr>=2.0.0 # Apache-2.0

=== debian/changelog ===
stevedore (5.3.0-4~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Fri, 20 Dec 2024 10:39:49 +0000

stevedore (5.3.0-4) unstable; urgency=medium

  * Removed -O--buildsystem=python_distutils from d/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 11:38:14 +0100

stevedore (5.3.0-3) unstable; urgency=medium

  * Removed runtime depends on python3-pkg-resources (Closes: #1083786).

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Oct 2024 09:17:15 +0200

stevedore (5.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:43:19 +0200

stevedore (5.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 11:05:54 +0200

## stevedore 5.4.0

=== debian/changelog ===
stevedore (1:5.4.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2025 09:11:44 +0000

stevedore (1:5.3.0-0ubuntu1) oracular; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 10:23:03 +0100
